## ros-kinetic-humanoid-navigation 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(humanoid_navigation)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-humanoid-navigation (0.4.2-0xenial) xenial; urgency=high

  * refacotoring to release on kinetic
  * added documents related to footstep_planner packages
  * added information new maintainer
  * fixed CMakeLists.txt and package.xml files for dependency
  * fixed footstep_planner node crashes when map changesth
  * Contributors: Aleksey Titov, Kayman, Pyo

 -- Pramuditha Aravinda <aravindadp@gmail.com>  Wed, 18 Apr 2018 15:00:00 -0000

ros-kinetic-humanoid-navigation (0.4.1-0xenial) xenial; urgency=high

  * humanoid_navigation : removed hrl_kinematics from runtime dependancy
  * catkinize the stack
  * humanoid_planner_2d on gridmaps, provides a lightweight wrapper around SBPL
  * Contributors: Armin Hornung, Vincent Rabaud, enriquefernandez

 -- Pramuditha Aravinda <aravindadp@gmail.com>  Sun, 04 Sep 2016 15:00:00 -0000

ros-kinetic-humanoid-navigation (0.4.0-0xenial) xenial; urgency=high

  * humanoid_localization added to humanoid_navigation, currently supports 6D localization from laser, odometry and IMU
  * Contributors: Armin Hornung, Daniel Maier, Johannes Garimort

 -- Pramuditha Aravinda <aravindadp@gmail.com>  Wed, 09 Jan 2013 15:00:00 -0000

ros-kinetic-humanoid-navigation (0.3.1-0xenial) xenial; urgency=high

  * Fixed gridmap_2d and footstep_planner to be used with ros fuerte and sbpl package
  * Contributors: Armin Hornung, Johannes Garimort

 -- Pramuditha Aravinda <aravindadp@gmail.com>  Thu, 14 Jun 2012 15:00:00 -0000

ros-kinetic-humanoid-navigation (0.3.0-0xenial) xenial; urgency=high

  * humanoid_navigation now compatible with electric and fuerte
  * Contributors: Armin Hornung, Johannes Garimort

 -- Pramuditha Aravinda <aravindadp@gmail.com>  Mon, 28 May 2012 15:00:00 -0000

ros-kinetic-humanoid-navigation (0.2.0-0xenial) xenial; urgency=high

  * stack.xml and manifest updated in footstep_planner to use SBPL instead of D* lite, enabling ARA* and AD* for search with anytime capabilities
  * Contributors: Armin Hornung, Johannes Garimort

 -- Pramuditha Aravinda <aravindadp@gmail.com>  Sun, 27 Nov 2011 15:00:00 -0000

ros-kinetic-humanoid-navigation (0.1.0-0xenial) xenial; urgency=high

  * New humanoid_navigation stack created
  * Contributors: Armin Hornung, Johannes Garimort

 -- Pramuditha Aravinda <aravindadp@gmail.com>  Mon, 02 May 2011 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-humanoid-navigation
Section: misc
Priority: extra
Maintainer: Pramuditha Aravinda <aravindadp@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/humanoid_navigation
Standards-Version: 3.9.2

Package: ros-kinetic-humanoid-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-footstep-planner, ros-kinetic-gridmap-2d, ros-kinetic-humanoid-localization, ros-kinetic-humanoid-planner-2d
Description: This stack contains packages for humanoid (biped) navigation, developed at the Humanoid Robots Lab at the Albert-Ludwigs-Universitat in Freiburg, Germany.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-humanoid-navigation//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
